## pyfftw 0.9.2+dfsg

=== requirements.txt ===
numpy>=1.6
scipy>=0.12.0

=== debian/changelog ===
pyfftw (0.9.2+dfsg-2) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * Rename python*-fftw3 to python-pyfftw
    - to conform with the Debian Python policy
  * Update uploader field with correct GPG ID
  * Use pybuild as the package build system 
  * d/control: remove unused depend on libjs-query

  [ Andreas Tille ]
  * debhelper 9

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 13 Jun 2014 11:20:05 +0100

pyfftw (0.9.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #728085)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 28 Oct 2013 12:26:22 +0000

=== debian/control ===
Source: pyfftw
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 libfftw3-dev (>= 3.3),
 cython,
 cython-dbg,
 python-all-dbg,
 python-all-dev,
 python-numpy,
 python-numpy-dbg,
 cython3,
 cython3-dbg,
 python3-all-dbg,
 python3-all-dev,
 python3-numpy,
 python3-numpy-dbg
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pyfftw.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pyfftw.git
Homepage: http://hgomersall.github.io/pyFFTW/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-pyfftw
Architecture: any
Depends:
 libfftw3-double3,
 libfftw3-long3,
 libfftw3-single3,
 python-numpy,
 ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
Provides: python-fftw3
Conflicts: python-fftw3
Replaces: python-fftw3
Description: Pythonic wrapper around FFTW - Python 2
 Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
 aim is to present a unified interface for all the possible transforms
 that FFTW can perform.
 .
 Both the complex DFT and the real DFT are supported, as well as
 arbitrary axes of abitrary shaped and strided arrays, which makes it
 almost feature equivalent to standard and real FFT functions of
 numpy.fft (indeed, it supports the clongdouble dtype which numpy.fft
 does not).
 .
 This package provides the Python 2 bindings.

Package: python-pyfftw-dbg
Architecture: any
Priority: extra
Section: debug
Depends: 
 python-pyfftw (= ${binary:Version}),
 ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
Recommends:
 python-dbg,
 python-numpy-dbg
Provides: python-fftw3-dbg
Conflicts: python-fftw3-dbg
Replaces: python-fftw3-dbg
Description: Pythonic wrapper around FFTW - Python 2 (debug)
 Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
 aim is to present a unified interface for all the possible transforms
 that FFTW can perform.
 .
 Both the complex DFT and the real DFT are supported, as well as
 arbitrary axes of abitrary shaped and strided arrays, which makes it
 almost feature equivalent to standard and real FFT functions of
 numpy.fft (indeed, it supports the clongdouble dtype which numpy.fft
 does not).
 .
 This package provides the debugging information of the Python 2 bindings.

Package: python3-pyfftw
Architecture: any
Depends:
 libfftw3-double3,
 libfftw3-long3,
 libfftw3-single3,
 python3-numpy,
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends}
Provides: python3-fftw3
Conflicts: python3-fftw3
Replaces: python3-fftw3
Description: Pythonic wrapper around FFTW - Python 3
 Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
 aim is to present a unified interface for all the possible transforms
 that FFTW can perform.
 .
 Both the complex DFT and the real DFT are supported, as well as
 arbitrary axes of abitrary shaped and strided arrays, which makes it
 almost feature equivalent to standard and real FFT functions of
 numpy.fft (indeed, it supports the clongdouble dtype which numpy.fft
 does not).
 .
 This package provides the Python 3 binding.

Package: python3-pyfftw-dbg
Architecture: any
Priority: extra
Section: debug
Depends: 
 python3-pyfftw (= ${binary:Version}),
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends}
Recommends:
 python3-dbg,
 python3-numpy-dbg
Provides: python3-fftw3-dbg
Conflicts: python3-fftw3-dbg
Replaces: python3-fftw3-dbg
Description: Pythonic wrapper around FFTW - Python 3 (debug)
 Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
 aim is to present a unified interface for all the possible transforms
 that FFTW can perform.
 .
 Both the complex DFT and the real DFT are supported, as well as
 arbitrary axes of abitrary shaped and strided arrays, which makes it
 almost feature equivalent to standard and real FFT functions of
 numpy.fft (indeed, it supports the clongdouble dtype which numpy.fft
 does not).
 .
 This package provides the debugging information of the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=pyfftw
export PYBUILD_BEFORE_BUILD=find -name "*.c" -delete
export PYBUILD_AFTER_INSTALL_python2=dh_numpy
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
export PYBUILD_DISABLE=clean test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
http://pypi.python.org/packages/source/p/pyFFTW/pyFFTW-(.*).tar.gz

## pyfftw 0.10.1%2Bdfsg1

=== debian/changelog ===
pyfftw (0.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #810522)
  * d/watch: add repacksuffix option.
  * d/control: use recommended VCS entries.
  * Update d/control:
    - source: add dh-python and setuptools to Build-Depends.
    - python{3}-h5py: remove manual Depends, use pythondeps and shlibdeps
      instead.
    - python{3}-h5py-dbg: move python{3}-dbg and python{3}-numpy-dbg from
      Recommends to Depends.
  * Update patch queue:
    - Drop patch arm-build.diff.
    - Discover fftw libraries using pkgconfig.
    - Add build dependency on python{3}-pkgconfig.
    Thanks to Aurelien Jarno (Closes: #746998)
  * d/rules: enable clean target by pybuild.
  * d/copyright: update copyright information.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 02 Feb 2016 17:07:23 +0000

pyfftw (0.9.2+dfsg-4) unstable; urgency=medium

  * Remove install dependency on the long-double version of FFTW on
    arm{el,hf} architectures. (Closes: 799831)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 23 Sep 2015 09:31:29 +0100

pyfftw (0.9.2+dfsg-3) unstable; urgency=medium

  * d/watch: use pypi.debian.net.
  * d/p/arm-build.diff: fixes build on arm. (Closes: #779724)
    - Thanks to Matthias Klose for forwarding the fix.
  * d/control: bump standards version to 3.9.6, no changes required.
  * d/copyright:
    - update copyright information for pyFFTW and debian,
    - remove copyright information for DFSG-stripped files.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 22 Sep 2015 11:12:59 +0100

## pyfftw 0.10.1+dfsg1

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends:
  debhelper (>= 9),
+ dh-python,
  libfftw3-dev (>= 3.3),
  cython,
  cython-dbg,
@@ -12,15 +13,19 @@
  python-all-dev,
  python-numpy,
  python-numpy-dbg,
+ python-pkgconfig,
+ python-setuptools,
  cython3,
  cython3-dbg,
  python3-all-dbg,
  python3-all-dev,
  python3-numpy,
- python3-numpy-dbg
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pyfftw.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/pyfftw.git
+ python3-numpy-dbg,
+ python3-pkgconfig,
+ python3-setuptools
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfftw.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyfftw.git
 Homepage: http://hgomersall.github.io/pyFFTW/
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
@@ -28,10 +33,6 @@
 Package: python-pyfftw
 Architecture: any
 Depends:
- libfftw3-double3,
- libfftw3-long3,
- libfftw3-single3,
- python-numpy,
  ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends}
@@ -56,13 +57,12 @@
 Priority: extra
 Section: debug
 Depends: 
+ python-dbg,
+ python-numpy-dbg,
  python-pyfftw (= ${binary:Version}),
  ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends}
-Recommends:
- python-dbg,
- python-numpy-dbg
 Provides: python-fftw3-dbg
 Conflicts: python-fftw3-dbg
 Replaces: python-fftw3-dbg
@@ -82,10 +82,6 @@
 Package: python3-pyfftw
 Architecture: any
 Depends:
- libfftw3-double3,
- libfftw3-long3,
- libfftw3-single3,
- python3-numpy,
  ${shlibs:Depends},
  ${python3:Depends},
  ${misc:Depends}
@@ -110,13 +106,12 @@
 Priority: extra
 Section: debug
 Depends: 
+ python3-dbg,
+ python3-numpy-dbg,
  python3-pyfftw (= ${binary:Version}),
  ${shlibs:Depends},
  ${python3:Depends},
  ${misc:Depends}
-Recommends:
- python3-dbg,
- python3-numpy-dbg
 Provides: python3-fftw3-dbg
 Conflicts: python3-fftw3-dbg
 Replaces: python3-fftw3-dbg

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_BEFORE_BUILD=find -name "*.c" -delete
 export PYBUILD_AFTER_INSTALL_python2=dh_numpy
 export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
-export PYBUILD_DISABLE=clean test
+export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+dfsg1,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyFFTW/pyFFTW-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyfftw 0.11.1

=== requirements.txt ===
cython>=0.23
numpy>=1.10
scipy>=0.16.0
dask[array]>=0.15.0

=== debian/changelog ===
pyfftw (0.11.1-2) unstable; urgency=medium

  * Team upload.
  * run python3 tests with python3-dask
  * run tests using pytest rather than unittest (provides more, but
    concise, information about running tests)
  * Standards-Version: 4.3.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Dec 2018 17:18:12 +0100

pyfftw (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - update Build-Depends: python-scipy (>=0.16.0), cython (>=0.23)
    - drop debian patch Detect-fftw-libraries-using-pkgconfig.patch
    - can now build without long precision support. Closes: #902296.
    - add Build-Depends: python3-dask (>= 0.15.0),
      with versioned depends python3-numpy (>= 1.10)
  * update upstream home page to https://github.com/pyFFTW/pyFFTW
    - also use github in debian/watch
  * build doc package python-pyfftw-doc
    - remove debian/copyright Files-Excluded: docs are now provided
      with full source
    - remove dfsg repackaging from debian/watch
  * add comment to debian/copyright that while pyFFTW itself is
    BSD-licenced, the underlying FFTW library is GPL.
  * python3-pyfftw Recommends: python3-scipy, python3-dask
    (optional package dependencies aren't automatically added by
    dh_python3)
  * Standards-Version: 4.2.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Nov 2018 18:44:41 +0800

pyfftw (0.10.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * ignore test failures on selected non-intel arches:
    - arm64 mips64el ppc64el s390x ia64 powerpc:
      input_alignment != 16, simd_aligned not true
    - hurd-i386: limited_time >= time_limit*2
  * remove ancient-python-version-field X-Python-Version and
    X-Python3-Version

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Jun 2018 22:56:59 +0800

pyfftw (0.10.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Restore pyFFTW to Debian. Closes: #897672.
  * Standards-Version: 4.1.4
  * debhelper compatibility level 11
  * Mention contrast with python-fftw and python-gpyfft in Description.
  * Update VCS tags to salsa.debian.org
  * Testsuite: autopkgtest no longer needed (since dpkg 1.17.1)

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 May 2018 16:09:52 +0800

pyfftw (0.10.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch queue.
  * d/copyright: update missing copyright information and dates.
    Thanks to Gianfranco Costamagna for the review

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 07 Jun 2016 16:15:20 +0100

pyfftw (0.10.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add d/gbp.conf file.
  * Fix FFTW detection patch.
    Thanks to Marten van Kerkwijk for reporting the issue. (Closes: #826036)
  * Drop -dbg packages in favor of autogenerated -dbgsym.
  * Enable testsuite during build.
  * Add packaging testsuite.
  * cme fix d/control:
    - Drop versioned depends on FFTW.
    - Bump standards version to 3.9.8, no changes required.
    - Wrap and sort.
  * Drop unnecessary d/dirs file.
  * d/rules: use standard formatting for DH_VERBOSE.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 05 Jun 2016 23:26:13 +0100

=== debian/control ===
Source: pyfftw
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: cython (>= 0.23),
               cython3 (>= 0.23),
               debhelper (>= 11),
               dh-python,
               libfftw3-dev,
               python-all-dev,
               python-numpy (>= 1.10),
               python-pkgconfig,
               python-scipy (>= 0.16.0),
               python-setuptools,
               python3-all-dev,
               python3-numpy (>= 1.10),
               python3-pkgconfig,
               python3-scipy (>= 0.16.0),
               python3-dask (>= 0.15.0),
               python3-setuptools,
               python3-sphinx,
               libjs-jquery,
               libjs-underscore
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/pyfftw
Vcs-Git: https://salsa.debian.org/science-team/pyfftw.git
Homepage: https://github.com/pyFFTW/pyFFTW

Package: python-pyfftw
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-scipy (>= 0.16.0)
Conflicts: python-fftw3
Provides: python-fftw3
Replaces: python-fftw3
Description: Pythonic wrapper around FFTW - Python 2
 Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
 aim is to present a unified interface for all the possible transforms
 that FFTW can perform.
 .
 Both the complex DFT and the real DFT are supported, as well as
 arbitrary axes of abitrary shaped and strided arrays, which makes it
 almost feature equivalent to standard and real FFT functions of
 numpy.fft (indeed, it supports the clongdouble dtype which numpy.fft
 does not).
 .
 pyFFTW is BSD-licensed and should not be confused with python-fftw, a
 GPL-licensed python module with the same aim of providing python
 bindings to FFTW3. Or python-gpyfft, which provides bindings to the
 OpenCL FFT library clFFT.
 .
 This package provides the Python 2 bindings.

Package: python3-pyfftw
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-scipy (>= 0.16.0),
            python3-dask (>= 0.15.0)
Conflicts: python3-fftw3
Provides: python3-fftw3
Replaces: python3-fftw3
Description: Pythonic wrapper around FFTW - Python 3
 Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
 aim is to present a unified interface for all the possible transforms
 that FFTW can perform.
 .
 Both the complex DFT and the real DFT are supported, as well as
 arbitrary axes of abitrary shaped and strided arrays, which makes it
 almost feature equivalent to standard and real FFT functions of
 numpy.fft (indeed, it supports the clongdouble dtype which numpy.fft
 does not).
 .
 pyFFTW is BSD-licensed and should not be confused with python-fftw, a
 GPL-licensed python module with the same aim of providing python
 bindings to FFTW3. Or python3-gpyfft, which provides bindings to the
 OpenCL FFT library clFFT.
 .
 This package provides the Python 3 bindings.

Package: python-pyfftw-doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${python:Depends},
Description: Pythonic wrapper around FFTW - docs
 Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
 aim is to present a unified interface for all the possible transforms
 that FFTW can perform.
 .
 Both the complex DFT and the real DFT are supported, as well as
 arbitrary axes of abitrary shaped and strided arrays, which makes it
 almost feature equivalent to standard and real FFT functions of
 numpy.fft (indeed, it supports the clongdouble dtype which numpy.fft
 does not).
 .
 pyFFTW is BSD-licensed and should not be confused with python-fftw, a
 GPL-licensed python module with the same aim of providing python
 bindings to FFTW3. Or python-gpyfft, which provides bindings to the
 OpenCL FFT library clFFT.
 .
 This package provides the pyFFTW documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyfftw
export PYBUILD_BEFORE_BUILD=find -name "*.c" -delete
export PYBUILD_AFTER_INSTALL_python2=dh_numpy
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3

PYVER_DEFAULT=$(shell py3versions -d -v)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# pyFFTW tests assume an intel arch
# This does not hold on all arches, so ignore test failures
# on arches where they are expected to fail.
# Known failures are:
#  - arm64 ppc64el s390x ia64 powerpc: input_alignment != 16, simd_aligned not true
#  - hurd-i386: limited_time >= time_limit*2
ARCH_LIST_IGNORE_TEST_FAILURE = arm64 mips64el ppc64el s390x hurd-i386 ia64 powerpc

empty :=
space := $(empty)$(empty)

# by default, do not ignore test failure
IGNORE_TEST_ERROR=/bin/false
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_LIST_IGNORE_TEST_FAILURE)$(space)))
	# do ignore test failure on selected arches
	IGNORE_TEST_ERROR=/bin/true
endif

override_dh_auto_test:
	dh_auto_test || $(IGNORE_TEST_ERROR)

override_dh_installdocs:
	cd docs; \
	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PYVER_DEFAULT)_pyfftw/build:${PYTHONPATH} make html
	for JSCRIPT in jquery underscore; do \
	  JSDOC=$(CURDIR)/docs/_build/html/_static/$${JSCRIPT}.js; \
	  rm $${JSDOC}; ln -s /usr/share/javascript/$${JSCRIPT}/$${JSCRIPT}.js $${JSDOC}; \
	done
	dh_installdocs -ppython-pyfftw-doc --doc-main-package=python-pyfftw-doc docs/_build/html/
	dh_installdocs

=== debian/tests/control ===
Tests: python2
Depends: python-all,
         python-pytest,
         python-pyfftw,
         python-scipy

Tests: python3
Depends: python3-all,
         python3-pytest,
         python3-pyfftw,
         python3-scipy,
         python3-dask

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pyfftw-$1.tar.gz%" \
 https://github.com/pyFFTW/pyFFTW/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pyfftw 0.12.0

=== requirements.txt ===
cython>=0.29
numpy>=1.10
scipy>=0.16.0
dask[array]>=0.15.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyFFTW.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyFFTW.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyFFTW"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyFFTW"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyfftw (0.12.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:47 +0100

pyfftw (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies patch fix_dask_011a808.patch
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Feb 2020 12:37:21 +0800

pyfftw (0.11.1-5) UNRELEASED; urgency=medium

  * Team upload.
  * debian/tests: use AUTOPKGTEST_TMP not ADTTMP

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2019 10:23:32 +1100

pyfftw (0.11.1-4) unstable; urgency=medium

  * Team upload.
  * debian patch fix_dask_011a808.patch applies upstream commit
    011a808 to fix tests against current dask. Closes: #946857.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2019 10:00:20 +1100

pyfftw (0.11.1-3) unstable; urgency=medium

  * Team upload.
  * drop python-pyfftw (Python 2 is deprecated)
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Jul 2019 12:35:57 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,10 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: cython (>= 0.23),
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                cython3 (>= 0.23),
-               debhelper (>= 11),
-               dh-python,
                libfftw3-dev,
-               python-all-dev,
-               python-numpy (>= 1.10),
-               python-pkgconfig,
-               python-scipy (>= 0.16.0),
-               python-setuptools,
                python3-all-dev,
                python3-numpy (>= 1.10),
                python3-pkgconfig,
@@ -22,37 +16,10 @@
                python3-sphinx,
                libjs-jquery,
                libjs-underscore
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/pyfftw
 Vcs-Git: https://salsa.debian.org/science-team/pyfftw.git
 Homepage: https://github.com/pyFFTW/pyFFTW
-
-Package: python-pyfftw
-Architecture: any
-Depends: ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Recommends: python-scipy (>= 0.16.0)
-Conflicts: python-fftw3
-Provides: python-fftw3
-Replaces: python-fftw3
-Description: Pythonic wrapper around FFTW - Python 2
- Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
- aim is to present a unified interface for all the possible transforms
- that FFTW can perform.
- .
- Both the complex DFT and the real DFT are supported, as well as
- arbitrary axes of abitrary shaped and strided arrays, which makes it
- almost feature equivalent to standard and real FFT functions of
- numpy.fft (indeed, it supports the clongdouble dtype which numpy.fft
- does not).
- .
- pyFFTW is BSD-licensed and should not be confused with python-fftw, a
- GPL-licensed python module with the same aim of providing python
- bindings to FFTW3. Or python-gpyfft, which provides bindings to the
- OpenCL FFT library clFFT.
- .
- This package provides the Python 2 bindings.
 
 Package: python3-pyfftw
 Architecture: any
@@ -87,7 +54,7 @@
 Depends: libjs-jquery,
          libjs-underscore,
          ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
 Description: Pythonic wrapper around FFTW - docs
  Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
  aim is to present a unified interface for all the possible transforms

## pyfftw 0.13.0

=== requirements.txt ===
cython>=0.29.18
numpy>=1.16
scipy>=1.2.0
dask[array]>=1.0.0

=== debian/changelog ===
pyfftw (0.13.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:56:10 +0000

pyfftw (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * update versioned Build-Depends
    - cython3 (>= 0.29.18~)
    - python3-numpy (>= 1.16~)
    - python3-scipy (>= 1.2.0~)
    - python3-dask (>= 1.0.0~)
  * debhelper compatibility level 13
  * Standards-Version: 4.6.0
  * acknowledge Henry Gomersall in debian/copyright
    (the person behind Knowledge Economy Developments Ltd)
  * update debian/tests
    - test dir changed to tests
    - run time tests for each available python version
  * update docs build
    - dh --with sphinxdoc (use system .js scripts)
    - Build-Depends: sphinx-common instead of libjs-* packages
    - build after dh_auto_build
    - use python-pyfftw-doc.docs to identify docs to install
    - override dh_auto_clean to remove docs/_build
      (and also remove the generated pyfftw/pyfftw.c)

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jan 2022 00:08:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               cython3 (>= 0.23),
+               cython3 (>= 0.29.18~),
                libfftw3-dev,
                python3-all-dev,
-               python3-numpy (>= 1.10),
+               python3-numpy (>= 1.16~),
                python3-pkgconfig,
-               python3-scipy (>= 0.16.0),
-               python3-dask (>= 0.15.0),
+               python3-scipy (>= 1.2.0~),
+               python3-dask (>= 1.0.0~),
                python3-setuptools,
                python3-sphinx,
-               libjs-jquery,
-               libjs-underscore
-Standards-Version: 4.5.0
+               sphinx-common
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/pyfftw
 Vcs-Git: https://salsa.debian.org/science-team/pyfftw.git
 Homepage: https://github.com/pyFFTW/pyFFTW
@@ -51,8 +50,7 @@
 
 Package: python-pyfftw-doc
 Architecture: all
-Depends: libjs-jquery,
-         libjs-underscore,
+Depends: ${sphinxdoc:Depends},
          ${misc:Depends},
          ${python3:Depends},
 Description: Pythonic wrapper around FFTW - docs

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,25 @@
 
 export PYBUILD_NAME=pyfftw
 export PYBUILD_BEFORE_BUILD=find -name "*.c" -delete
-export PYBUILD_AFTER_INSTALL_python2=dh_numpy
 export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
 
 PYVER_DEFAULT=$(shell py3versions -d -v)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf pyFFTW.egg-info
+	rm -f pyfftw/pyfftw.c
+	rm -rf docs/_build
+
+execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
+execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
+execute_after_dh_auto_build:
+	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print build_dir | awk '{print $$3}' ) \
+          make -C docs html
+
 
 # pyFFTW tests assume an intel arch
 # This does not hold on all arches, so ignore test failures
@@ -34,13 +46,3 @@
 
 override_dh_auto_test:
 	dh_auto_test || $(IGNORE_TEST_ERROR)
-
-override_dh_installdocs:
-	cd docs; \
-	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PYVER_DEFAULT)_pyfftw/build:${PYTHONPATH} make html
-	for JSCRIPT in jquery underscore; do \
-	  JSDOC=$(CURDIR)/docs/_build/html/_static/$${JSCRIPT}.js; \
-	  rm $${JSDOC}; ln -s /usr/share/javascript/$${JSCRIPT}/$${JSCRIPT}.js $${JSDOC}; \
-	done
-	dh_installdocs -ppython-pyfftw-doc --doc-main-package=python-pyfftw-doc docs/_build/html/
-	dh_installdocs

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-pytest,
         python3-pyfftw,
         python3-scipy,
         python3-dask

## pyfftw 0.13.1

=== debian/changelog ===
pyfftw (0.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * d/tests/python3: test all supported versions of Python
  * d/control: build-dep on pybuild-plugin-pyproject for PEP-517 building 

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 18 Aug 2023 14:14:39 +0200

pyfftw (0.13.0-2) unstable; urgency=medium

  * Team Upload.
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Set packages field explicitly (Closes: #1020131)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 12 Oct 2022 19:21:21 +0530

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,31 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               cython3 (>= 0.29.18~),
+               dh-sequence-python3,
+               cython3,
                libfftw3-dev,
                python3-all-dev,
-               python3-numpy (>= 1.16~),
+               python3-numpy,
                python3-pkgconfig,
-               python3-scipy (>= 1.2.0~),
-               python3-dask (>= 1.0.0~),
+               python3-scipy,
+               python3-dask,
                python3-setuptools,
+               pybuild-plugin-pyproject,
                python3-sphinx,
                sphinx-common
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/pyfftw
 Vcs-Git: https://salsa.debian.org/science-team/pyfftw.git
 Homepage: https://github.com/pyFFTW/pyFFTW
+Rules-Requires-Root: no
 
 Package: python3-pyfftw
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-scipy (>= 0.16.0),
-            python3-dask (>= 0.15.0)
+Recommends: python3-scipy,
+            python3-dask
 Conflicts: python3-fftw3
 Provides: python3-fftw3
 Replaces: python3-fftw3
@@ -52,7 +54,7 @@
 Architecture: all
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Description: Pythonic wrapper around FFTW - docs
  Pythonic wrapper around FFTW, the speedy FFT library. The ultimate
  aim is to present a unified interface for all the possible transforms

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PYVER_DEFAULT=$(shell py3versions -d -v)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

## pyfftw 0.15.0

=== debian/changelog ===
pyfftw (0.15.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Limit autopkgtest to amd64. (Closes: #1102541)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 12:12:45 +0300

pyfftw (0.15.0-1) unstable; urgency=medium

  * New upstream version. Closes: #1071810
  * Standards-Version: 4.7.0 (routine-update)
  * Deleted both patches, they are no longer needed.
  * d/control: switch to non-legacy cython3. Closes: #1092781
  * d/control: Run the build-time tests using pytest, like upstream does.
               Require numpy version 2.x as per pyproject.toml
  * Enabled use of the "nodoc" build profile.
  * Added patch and extra build dependencies to link the docs to the
    Python 3, NumPy, and ScipPy docs.
  * Added patch to respect LDFLAGS to improve build hardening.
  * d/rules: skip simd alignment related tests on the "ignored"
    architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 06 Feb 2025 22:32:29 +0100

pyfftw (0.13.1-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Switch to cython3-legacy.
    Closes: #1056836

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Set upstream metadata fields: Repository.
  * s/SafeConfigParser/ConfigParser
    Closes: #1055703

 -- Andreas Tille <tille@debian.org>  Sun, 21 Jan 2024 14:17:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,15 @@
 PYVER_DEFAULT=$(shell py3versions -d -v)
 
 %:
-	dh $@ --with sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf pyFFTW.egg-info
-	rm -f pyfftw/pyfftw.c
-	rm -rf docs/_build
-
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build:
 	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print build_dir | awk '{print $$3}' ) \
           make -C docs html
+endif
 
 
 # pyFFTW tests assume an intel arch
@@ -40,8 +36,9 @@
 # by default, do not ignore test failure
 IGNORE_TEST_ERROR=/bin/false
 ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_LIST_IGNORE_TEST_FAILURE)$(space)))
-	# do ignore test failure on selected arches
-	IGNORE_TEST_ERROR=/bin/true
+# do ignore test failure on selected arches
+IGNORE_TEST_ERROR=/bin/true
+export PYBUILD_TEST_ARGS=-k 'not (test_auto_align_input or test_aligned_flag or test_flags or test_alignment or test_get_alignment)'
 endif
 
 override_dh_auto_test:

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,4 @@
          python3-pyfftw,
          python3-scipy,
          python3-dask
+Architecture: amd64
